Get the latest generation run
curl --request GET \
--url https://{instance}.omniapp.co/api/v1/models/{modelId}/suggestions/runs/latest \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instance}.omniapp.co/api/v1/models/{modelId}/suggestions/runs/latest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{instance}.omniapp.co/api/v1/models/{modelId}/suggestions/runs/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"run": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"status": "complete",
"triggerSource": "manual",
"triggeredBy": {
"userId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "Blob Ross"
},
"createdAt": "2026-07-15T14:30:00Z",
"executionStartedAt": "2026-07-15T14:30:05Z",
"completedAt": "2026-07-15T14:32:30Z",
"error": null
}
}Model Suggestions
Get the latest generation run
Organization Admin permissions are required to use this endpoint.
Retrieve the most recent generation run for the shared model (the active run if one is in flight, otherwise the last terminal run), or null if none exists.
GET
/
v1
/
models
/
{modelId}
/
suggestions
/
runs
/
latest
Get the latest generation run
Authorizations
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
Path Parameters
UUID of the shared model the suggestions belong to
Example:
"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
Response
The latest generation run, or null
The most recent generation run or null if no runs exist.
The most recent run for this model or null if none exists.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

